## org.apache.http.client.methods
Class HttpPut

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.HttpRequestBase
              org.apache.http.client.methods.HttpEntityEnclosingRequestBase
                  org.apache.http.client.methods.HttpPut

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, HttpUriRequest, HttpEntityEnclosingRequest, HttpMessage, HttpRequest

    @NotThreadSafe
    public class HttpPut

extends HttpEntityEnclosingRequestBase

HTTP PUT method.

The HTTP PUT method is defined in section 9.6 of RFC2616:

> The PUT method requests that the enclosed entity be stored under the supplied Request-URI. If the Request-URI refers to an already existing resource, the enclosed entity SHOULD be considered as a modified version of the one residing on the origin server.

Since:
  4.0

Field Summary
`static String` `METHOD_NAME`

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpPut()`
`HttpPut(String uri)`
`HttpPut(URI uri)`

Method Summary
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Methods inherited from class org.apache.http.client.methods.HttpEntityEnclosingRequestBase
`clone, expectContinue, getEntity, setEntity`

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`abort, getProtocolVersion, getRequestLine, getURI, isAborted, setConnectionRequest, setReleaseTrigger, setURI`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpRequest
`getRequestLine`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Field Detail

### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### HttpPut

    public HttpPut()

### HttpPut

    public HttpPut(URI uri)

### HttpPut

    public HttpPut(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

Method Detail

### getMethod

    public String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`
  Specified by:
    `getMethod` in class `HttpRequestBase`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.